Bug 960289 - Protocol scheme 'https' is not supported (LWP::Protocol::https not installed)
Summary: Protocol scheme 'https' is not supported (LWP::Protocol::https not installed)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-bugzilla
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 22:10 UTC by Eric Christensen
Modified: 2018-04-11 07:20 UTC (History)
6 users (show)

Fixed In Version: git-bugzilla-0-0.9.20091211git.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-16 02:51:08 UTC


Attachments (Terms of Use)

Description Eric Christensen 2013-05-06 22:10:35 UTC
Description of problem: When trying to use git-bugzilla I receive the following error:

Error GETing https://bugzilla.redhat.com?GoAheadAndLogIn=1: Protocol scheme 'https' is not supported (LWP::Protocol::https not installed) at /usr/bin/git-send-bugzilla line 40.

This looks very similar to the bug 559898 but I have verified that perl-Crypt-SSLeay is installed.


Version-Release number of selected component (if applicable): 0-0.7.20091211git.fc18


How reproducible: Always


Steps to Reproduce:
1. git-send-bugzilla 959636 8d2a79f46a077da76bc24841574fb024349563be

Comment 1 Matěj Cepl 2013-05-07 15:36:02 UTC
Except this message comes from Bugzilla (LWP::Protocol::https is a Perl module), not from the script. Reassigning for further investigation to the Bugzilla product.

Comment 2 Simon Green 2013-05-15 05:36:42 UTC
(In reply to comment #0)
> (LWP::Protocol::https not installed)

> This looks very similar to the bug 559898 but I have verified that
> perl-Crypt-SSLeay is installed.

You still need LWP::Protocol::https to be installed, as per the error message. Use

 yum provides "perl(LWP::Protocol::https)"

to find out what package provides this in your distro.

  -- simon

Comment 3 Petr Pisar 2013-05-15 07:12:34 UTC
HTTPS support is optional in the Perl LWP. If there were conclusion that git-bugzilla has to support HTTPS, then git-bugilla would have to run-require `perl(LWP::Protocol::https)'.

Comment 4 Fedora Update System 2013-05-15 11:32:34 UTC
git-bugzilla-0-0.9.20091211git.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/git-bugzilla-0-0.9.20091211git.el5

Comment 5 Fedora Update System 2013-05-15 11:36:03 UTC
git-bugzilla-0-0.9.20091211git.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/git-bugzilla-0-0.9.20091211git.el6

Comment 6 Fedora Update System 2013-05-15 11:38:11 UTC
git-bugzilla-0-0.9.20091211git.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/git-bugzilla-0-0.9.20091211git.fc17

Comment 7 Fedora Update System 2013-05-15 11:39:03 UTC
git-bugzilla-0-0.9.20091211git.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/git-bugzilla-0-0.9.20091211git.fc18

Comment 8 Fedora Update System 2013-05-15 11:40:46 UTC
git-bugzilla-0-0.9.20091211git.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-bugzilla-0-0.9.20091211git.fc19

Comment 9 Matěj Cepl 2013-05-15 11:49:29 UTC
OK, I apologise to everybody involved ... I have screwed up this bug all the way from start confusing git-bugzilla and python-bugzilla (other bugzilla package I was involved with) and I couldn't understood why would python package had anything to do with Perl module. It should be fixed now, hopefully.

Comment 10 Fedora Update System 2013-05-15 16:44:36 UTC
Package git-bugzilla-0-0.9.20091211git.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-bugzilla-0-0.9.20091211git.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8254/git-bugzilla-0-0.9.20091211git.fc19
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-05-16 02:51:08 UTC
git-bugzilla-0-0.9.20091211git.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-05-24 20:45:25 UTC
git-bugzilla-0-0.9.20091211git.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-05-25 12:18:05 UTC
git-bugzilla-0-0.9.20091211git.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-05-31 17:53:49 UTC
git-bugzilla-0-0.9.20091211git.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-05-31 17:54:50 UTC
git-bugzilla-0-0.9.20091211git.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.